# std::stop_token::swap

From cppreference.com
< cpp‎ | thread‎ | stop token

void swap( std::stop_token & other ) noexcept; |  | (since C++20)

Exchanges the associated stop-state of *this and other.

### Parameters

other | - | `stop_token` to exchange the contents with

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/stop_token/swap&oldid=161277"